<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

if(!defined('VALID_CMS_ADMIN')) { die('ACCESS DENIED'); }

function bannerCTRbyID($item){
	if ($item['hits']>0) {
		$ctr = round((($item['clicks']/$item['hits']) * 100), 2);
	} else {
		$ctr = 0;
	}
	return $ctr . '%';
}

function bannerHitsbyID($item){
	if (!$item['maxhits']) { return $item['hits']; } else { return $item['hits'] . '/' . $item['maxhits']; }
}

/******************************************************************************/

$opt = cmsCore::request('opt', 'str', 'list');

cmsCore::loadModel('banners');

$toolmenu = array();

if($opt=='list'){

    $toolmenu[] = array('icon'=>'new.gif', 'title'=>$_LANG['AD_ADD_BANNER'], 'link'=>'?view=components&do=config&id='.$id.'&opt=add');
    $toolmenu[] = array('icon'=>'edit.gif', 'title'=>$_LANG['AD_EDIT_SELECTED'], 'link'=>"javascript:checkSel('?view=components&do=config&id=".$id."&opt=edit&multiple=1');");
    $toolmenu[] = array('icon'=>'show.gif', 'title'=>$_LANG['AD_ALLOW_SELECTED'], 'link'=>"javascript:checkSel('?view=components&do=config&id=".$id."&opt=show_banner&multiple=1');");
    $toolmenu[] = array('icon'=>'hide.gif', 'title'=>$_LANG['AD_DISALLOW_SELECTED'], 'link'=>"javascript:checkSel('?view=components&do=config&id=".$id."&opt=hide_banner&multiple=1');");

} else {

    $toolmenu[] = array('icon'=>'save.gif', 'title'=>$_LANG['SAVE'], 'link'=>'javascript:document.addform.submit();');
    $toolmenu[] = array('icon'=>'cancel.gif', 'title'=>$_LANG['CANCEL'], 'link'=>'?view=components&do=config&id='.$id);

}

cpToolMenu($toolmenu);

if ($opt == 'show_banner'){
    if (!isset($_REQUEST['item'])){
        if (isset($_REQUEST['item_id'])){ dbShow('cms_banners', cmsCore::request('item_id', 'int', 0));  }
        echo '1'; exit;
    } else {
        dbShowList('cms_banners', cmsCore::request('item', 'array_int', array()));
        cmsCore::redirectBack();
    }
}

if ($opt == 'hide_banner'){
    if (!isset($_REQUEST['item'])){
        if (isset($_REQUEST['item_id'])){ dbHide('cms_banners', cmsCore::request('item_id', 'int', 0));  }
        echo '1'; exit;
    } else {
        dbHideList('cms_banners', cmsCore::request('item', 'array_int', array()));
        cmsCore::redirectBack();
    }
}

if ($opt == 'submit' || $opt == 'update'){

    if(!cmsUser::checkCsrfToken()) { cmsCore::error404(); }

    $item_id = cmsCore::request('item_id', 'int', 0);

    $title   = cmsCore::request('title', 'str', $_LANG['AD_UNTITLED_BANNER']);
    $link    = cmsCore::request('b_link', 'str');
	$direct_link = cmsCore::request('direct_link', 'int', 0); 
	$hide_link = cmsCore::request('hide_link', 'int', 0);
    $typeimg = cmsCore::request('typeimg', 'str');
    $maxhits = cmsCore::request('maxhits', 'int');
    $maxuser = 0;
    $published = cmsCore::request('published', 'int', 0);
    $marker  = cmsCore::request('marker', 'str'); 
	
	
	// вытаскиваю из ссылки параметры
	$parameters = substr(strrchr($link, '?'), 1);
	// освобождаю ссылку от параметров
	if(isset($parameters)){
		$link = str_replace($parameters, '', $link);
		$link = trim($link, '?');
	}
		

    if(@$_FILES['picture']['size']){

        $ext = mb_strtolower(pathinfo($_FILES['picture']['name'], PATHINFO_EXTENSION));

        if(!in_array($ext, array('jpg','jpeg','gif','png','swf'))){
            cmsCore::addSessionMessage($_LANG['AD_INCORRECT_FILE_TYPE'], 'error');
            cmsCore::redirectBack();
        }

        $filename   = md5(microtime()).'.'.$ext;
        $uploaddir  = PATH.'/upload/banners/';
        $uploadfile = $uploaddir . $filename;

        if(cmsCore::moveUploadedFile($_FILES['picture']['tmp_name'], $uploadfile, $_FILES['picture']['error'])){

            if($opt == 'submit'){

                $sql = "INSERT INTO cms_banners (marker, typeimg, fileurl, hits, clicks, maxhits, maxuser, user_id, pubdate, title, link, parameters, direct_link, hide_link, published)
                        VALUES ('$marker', '$typeimg', '$filename', 0, 0, '$maxhits', '$maxuser', 1, NOW(), '$title', '$link', '$parameters', '$direct_link', '$hide_link', '$published')";
                $inDB->query($sql);

                cmsCore::redirect('?view=components&do=config&opt=list&id='.$id);

            } else {

                $fileurl = $inDB->get_field('cms_banners', "id = '$item_id'", 'fileurl');
                @unlink($uploaddir.$fileurl);

                $sql = "UPDATE cms_banners SET fileurl = '$filename' WHERE id = '$item_id'";
                $inDB->query($sql) ;

            }

        } else {
            cmsCore::addSessionMessage($_LANG['AD_ADDING_ERROR_TEXT'].cmsCore::uploadError(), 'error');
            cmsCore::redirectBack();
        }

    } elseif($opt == 'submit') {

        cmsCore::addSessionMessage($_LANG['AD_ADDING_ERROR_TEXT'], 'error');
        cmsCore::redirectBack();

    }

    if($opt == 'update'){

        $sql = "UPDATE cms_banners
                SET marker = '$marker',
                    title = '$title',
                    published = '$published',
                    maxhits = '$maxhits',
                    maxuser = '$maxuser',
                    typeimg = '$typeimg',
					parameters = '$parameters', 
					hide_link = '$hide_link',
					direct_link = '$direct_link',
                    link = '$link'
                WHERE id = '$item_id'";

        $inDB->query($sql);

        if (!isset($_SESSION['editlist']) || @sizeof($_SESSION['editlist'])==0){
            cmsCore::redirect('?view=components&do=config&opt=list&id='.$id);
        } else {
            cmsCore::redirect('?view=components&do=config&opt=edit&id='.$id);
        }

    }

}

if($opt == 'delete'){

    $item_id = cmsCore::request('item_id', 'int', 0);

    $fileurl = $inDB->get_field('cms_banners', "id = '$item_id'", 'fileurl');
    if(!$fileurl){ cmsCore::error404(); }
    @unlink($uploaddir.$fileurl);

    $inDB->query("DELETE FROM cms_banners WHERE id = '$item_id'");
    $inDB->query("DELETE FROM cms_banner_hits WHERE banner_id = '$item_id'");

    cmsCore::redirectBack();

}

if ($opt == 'list'){

    $fields[] = array('title'=>'id', 'field'=>'id', 'width'=>'30');
    $fields[] = array('title'=>$_LANG['DATE'], 'field'=>'pubdate', 'width'=>'100', 'filter'=>15, 'fdate'=>'%d/%m/%Y');
    $fields[] = array('title'=>$_LANG['TITLE'], 'field'=>'title', 'width'=>'', 'filter'=>15, 'link'=>'?view=components&do=config&id='.$id.'&opt=edit&item_id=%id%');
    $fields[] = array('title'=>$_LANG['AD_BANNER_MARKER'], 'field'=>'marker', 'width'=>'100', 'filter'=>15);
    $fields[] = array('title'=>$_LANG['AD_IS_PUBLISHED'], 'field'=>'published', 'width'=>'100', 'do'=>'opt', 'do_suffix'=>'_banner');
    $fields[] = array('title'=>$_LANG['AD_BANNER_HITS'], 'field'=>array('maxhits','hits'), 'width'=>'90', 'prc'=>'bannerHitsbyID');
    $fields[] = array('title'=>$_LANG['AD_BANNER_CLICKS'], 'field'=>'clicks', 'width'=>'90');
    $fields[] = array('title'=>$_LANG['AD_BANNER_CTR'], 'field'=>array('clicks','hits'), 'width'=>'90', 'prc'=>'bannerCTRbyID');

    $actions[] = array('title'=>$_LANG['EDIT'], 'icon'=>'edit.gif', 'link'=>'?view=components&do=config&id='.$id.'&opt=edit&item_id=%id%');
    $actions[] = array('title'=>$_LANG['DELETE'], 'icon'=>'delete.gif', 'confirm'=>$_LANG['AD_BANNER_DEL_CONFIRM'], 'link'=>'?view=components&do=config&id='.$id.'&opt=delete&item_id=%id%');

    cpListTable('cms_banners', $fields, $actions, '', 'pubdate DESC');

}

if ($opt == 'add' || $opt == 'edit'){

    if ($opt=='add'){
        echo '<h3>'.$_LANG['AD_ADD_BANNER'].'</h3>';
        cpAddPathway($_LANG['AD_ADD_BANNER']);
    } else {
        if(isset($_REQUEST['multiple'])){
            if (isset($_REQUEST['item'])){
                $_SESSION['editlist'] = cmsCore::request('item', 'array_int', array());
            } else {
                cmsCore::addSessionMessage($_LANG['AD_NO_SELECT_OBJECTS'], 'error');
                cmsCore::redirectBack();
            }
        }

        $remain = '';

        if (isset($_SESSION['editlist'])){
           $item_id = array_shift($_SESSION['editlist']);
           if (sizeof($_SESSION['editlist'])==0) { unset($_SESSION['editlist']); } else
           { $remain = '('.$_LANG['AD_NEXT_IN'].sizeof($_SESSION['editlist']).')'; }
        } else { $item_id = cmsCore::request('item_id', 'int', 0); }

        $mod = cms_model_banners::getBanner($item_id);
        if(!$mod){ cmsCore::error404(); }

        echo '<h3>'.$mod['title'].' '.$remain.'</h3>';
        cpAddPathway($mod['title']);

    }
 
	if ($opt=='edit') { ?> <div class="adminbody1" style="padding:7px;"> <center> <?php echo cms_model_banners::getBannerById($item_id); ?> </center> </div> <?php } ?>

	<!-- Подключаю скрипт, который обрабатывает ссылки и галки -->
	<script src="../components/banners/js/banners.js"></script>

	<form action="index.php?view=components&do=config&id= <?php echo $id; ?> " method="post" enctype="multipart/form-data" name="addform" id="addform">
	<input type="hidden" name="csrf_token" value="<?php echo cmsUser::getCsrfToken(); ?>">

	<table class="adminbody">
		<tr>
			<td class="tdleft">
				<?php echo $_LANG['AD_BANNER_TITLE']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_BANNER_DISPLAYED']; ?> </span>
			</td>
			<td class="tdright">
				<input class="fullsize" name="title" type="text" id="title" value="<?php echo @$mod['title']; ?>">
			</td>
		</tr>
		<tr>
			<td class="tdleft"> <?php echo $_LANG['AD_BANNER_TYPE']; ?> </td>
			<td class="tdright">
				<select name="typeimg" id="typeimg">
					<option value="image" <?php if(@$mod['typeimg']=='image') { echo 'selected'; } ?> > <?php echo $_LANG['AD_BANNER_IMAGE']; ?> </option>
					<option value="swf" <?php if(@$mod['typeimg']=='swf') { echo 'selected'; } ?> > <?php echo $_LANG['AD_BANNER_FLASH']; ?> </option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="tdleft">
				<?php echo $_LANG['AD_BANNER_LINK']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_BANNER_REMINDER']; ?> </span>
			</td> 
			<?php 
			if(!empty($mod['parameters'])){
					$link = $mod['link'].'?'.$mod['parameters'];
				  }else{
					if(isset($mod['link'])){
					  $link = $mod['link'];
					}else{
					  $link = '';
					}
				  }
			?>
			<td class="tdright">
				<input name="b_link" type="text" size="45" value="<?php echo $link; ?> ">
			</td>
		</tr>
		<tr>
			<td class="tdleft">
				<?php echo $_LANG['AD_DIRECT_LINK']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_DIRECT_LINK_NOTE']; ?> </span>
			</td>
			<td class="tdright">
				<input name="direct_link" type="checkbox" id="direct_link" value="1" <?php if(@$mod['direct_link'] == 1) echo 'checked="checked"' ;?> >
			</td>
		</tr>
		<tr>
			<td class="tdleft">
				<?php echo $_LANG['AD_HIDE_LINK']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_HIDE_LINK_NOTE']; ?> </span>
			</td>
			<td class="tdright">
				<input name="hide_link" type="checkbox" id="hide_link" value="1" <?php if(@$mod['hide_link'] == 1) echo 'checked="checked"' ;?> >
			</td>
		</tr>
		<tr>
			<td class="tdleft">
				<?php echo $_LANG['AD_BINDING']; ?>
			</td>
			<td class="tdright">
				<select name="marker" id="marker">
					<?php for($m=1;$m<=30;$m++){ ?>
						<option value="banner<?php echo $m; ?>" <?php if(@$mod['marker']=='banner'.$m) { echo 'selected'; } ?> > banner<?php echo $m; ?> </option>
					<?php } ?>
				</select>
			</td>
		</tr>
		<tr>
			<td class="tdleft">
				<?php echo $_LANG['AD_BANNER_FILE']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_BANNER_FILE_TYPES']; ?> </span>
			</td>
			<td class="tdright">
				<input name="picture" type="file" id="picture" size="30">
			</td>
		</tr>
		<tr>
			<td class="tdleft">
				<?php echo $_LANG['AD_BANNER_MAX_HITS']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_UNLIMITED_HITS']; ?> </span>
			</td>
			<td class="tdright">
				<input name="maxhits" type="text" id="maxhits" size="5" value="<?php if(isset($mod['maxhits'])){echo $mod['maxhits'];}else{echo '0';}?>">
				<?php echo $_LANG['AD_HITS_LIMIT']; ?>
			</td>
		</tr>
		<tr>
			<td class="tdleft">
				<?php echo $_LANG['AD_BANNER_PUBLISH']; ?> <br> <span class="hinttext"> <?php echo $_LANG['AD_BANNER_DISALLOW']; ?> </span>
			</td>
			<td class="tdright">
				<input name="published" type="radio" value="1" checked="checked" <?php if (@$mod['published']) { echo 'checked="checked"'; } ?> >
				<label> <?php echo $_LANG['YES']; ?> </label>
				<input name="published" type="radio" value="0"  <?php if (@!$mod['published']) { echo 'checked="checked"'; } ?> >
				<label>	<?php echo $_LANG['NO']; ?> </label>
			</td>
		</tr>
	</table>
	
	<p> <strong> <?php echo $_LANG['AD_NOTE']; ?> </strong> <?php echo $_LANG['AD_BANNER_NOTE']; ?> {БАННЕР=<span id="mark"></span>}</p>
	<p>
		<input name="add_mod" type="submit" id="add_mod" value="<?php echo $_LANG['SAVE']; ?>">
		<input name="back3" type="button" id="back3" value="<?php echo $_LANG['CANCEL']; ?>" onclick="window.location.href='index.php?view=components&do=config&id=<?php echo $id; ?>';">
		<input name="opt" type="hidden" id="opt" <?php if ($opt=='add') { echo 'value="submit"'; } else { echo 'value="update"'; } ?> >
		<?php if ($opt=='edit'){ echo '<input name="item_id" type="hidden" value="'.$mod['id'].'">'; } ?>
	</p>
</form>

<?php }