<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

define('PATH', $_SERVER['DOCUMENT_ROOT']);
include(PATH.'/core/ajax/ajax_core.php');

cmsCore::loadModel('comments');
$model = new cms_model_comments();
// Проверяем включен ли компонент
if(!$inCore->isComponentEnable('comments')) { cmsCore::error404(); }
// Инициализируем права доступа для группы текущего пользователя
$model->initAccess();

$target     = cmsCore::request('target', 'str');
$target_id  = cmsCore::request('target_id', 'int');
$can_delete = cmsCore::request('target_author_can_delete', 'int');

if(!$target || !$target_id) { cmsCore::halt(); }

$model->whereTargetIs($target, $target_id);

$inDB->orderBy('c.pubdate', 'ASC');

$comments = $model->getComments(!($inUser->is_admin || $model->is_can_moderate), true);

cmsPage::initTemplate('components', 'com_comments_list')->
        assign('comments_count', count($comments))->
        assign('comments', $comments)->
        assign('user_can_moderate', $model->is_can_moderate)->
        assign('user_can_delete', $model->is_can_delete)->
        assign('target_author_can_delete', $can_delete)->
        assign('user_can_add', $model->is_can_add)->
        assign('is_admin', $inUser->is_admin)->
        assign('is_user', $inUser->id)->
        assign('cfg', $model->config)->
        assign('labels', $model->labels)->
        assign('target', $target)->
        assign('target_id', $target_id)->
        display('com_comments_list.tpl');

cmsCore::halt();