<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

class cms_model_faq{

	public function __construct(){
        $this->inDB = cmsDatabase::getInstance();
    }

/* ==================================================================================================== */
/* ==================================================================================================== */

    public function getCommentTarget($target, $target_id) {

        $result = array();

        switch($target){

            case 'faq': $item = $this->inDB->get_fields('cms_faq_quests', "id={$target_id}", 'quest');
                        if (!$item) { return false; }
                        $result['link']     = '/faq/quest'.$target_id.'.html';
                        $result['title']    = (mb_strlen($item['quest'])<100 ? $item['quest'] : mb_substr($item['quest'], 0, 100).'...');
                        break;

        }

        return ($result ? $result : false);

    }

/* ==================================================================================================== */
/* ==================================================================================================== */

	public function deleteQuest($id){

		$inCore = cmsCore::getInstance();

        $this->inDB->query("DELETE FROM cms_faq_quests WHERE id={$id}");

		$inCore->deleteComments('faq', $id);

        cmsActions::removeObjectLog('add_quest', $id);

        return true;
    }

/* ==================================================================================================== */
/* ==================================================================================================== */

    public function deleteQuests($id_list){
        foreach($id_list as $key=>$id){
            $this->deleteQuest($id);
        }
        return true;
    }

/* ==================================================================================================== */
/* ==================================================================================================== */

}