<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//
// Этот файл является серверной частью (приемником) при удалении файлов из альбомов



Error_Reporting(E_ALL & ~E_NOTICE & ~E_WARNING);

@set_time_limit(0);

define('PATH', $_SERVER['DOCUMENT_ROOT']);
define("VALID_CMS", 1);

header('Content-Type: text/html; charset=utf-8');

include(PATH.'/core/cms.php');
$inCore = cmsCore::getInstance();
$inDB   = cmsDatabase::getInstance();

// проверяю токен
session_start();
$csrf_token = cmsCore::request('csrf_token', 'str'); 
if(end($_SESSION['security']['csrf_tokens']) != $csrf_token){ header("HTTP/1.1 500 File Remove Error"); exit('no security delete_photo.php '); }

// принимаю данные удаляемого фото
$photo_id = cmsCore::request('photo_id', 'int');
$album_id = cmsCore::request('album_id', 'int');

// ищу файл фото в таблице cms_photo_files
$file = $inDB->get_field('cms_photo_files', "id = {$photo_id} AND album_id = {$album_id}", 'file');
// если файл найден, удаляю его с диска и из таблицы
if(!empty($file)){
	if(file_exists(PATH.'/upload/photos/medium/'.$file)){unlink(PATH.'/upload/photos/medium/'.$file);}
	if(file_exists(PATH.'/upload/photos/small/'.$file)){unlink(PATH.'/upload/photos/small/'.$file);}
	$inDB->delete('cms_photo_files', "file = '{$file}'");
	// редирект на страницу фотоальбома
	$result = array('error'=>false, 'redirect'=>'/photos/'.$album_id);
	echo json_encode($result);
}

?>