
{if isset($article.plugins_output_before)}{$article.plugins_output_before}{/if} 
{if $is_admin || $is_editor || $is_author}
    <div class="float_bar">
        {if !$article.published && ($is_admin || $is_editor)}
        	<a class="btn btn-default" href="/content/publish{$article.id}.html" title="{$LANG.ARTICLE_ALLOW}"> <span class="glyphicon glyphicon-plus"></span> </a> 
        {/if}
        {if $is_admin || $is_editor || $is_author_del}
        	<a class="btn btn-default" href="/content/delete{$article.id}.html" title="{$LANG.DELETE}"> <span class="glyphicon glyphicon-trash"></span> </a> 
        {/if}
        {if $is_admin || $is_editor || $is_author}
        	<a href="/content/edit{$article.id}.html" class="btn btn-default" title="{$LANG.EDIT}"><span class="glyphicon glyphicon-edit"></span></a>
        {/if}
    </div>
{/if}
<article>
{if $article.showtitle}
    <h1 class="con_heading"> {$article.title} </h1>
{/if}

<div style="padding-bottom:5px;">
	{if $article.showdate}
		<span class="monospc">
			<span class="glyphicon glyphicon-time"></span>
			{if !$article.published}
				{$LANG.NO_PUBLISHED}
			{else}
				{$article.pubdate}
			{/if}
		</span>
	{/if}
	<span class="monospc">
		{* dev: maxiSoft / begin / 11.33.2015 10:33:58 / Вывод автора материала *}
		<span class="glyphicon glyphicon-user"></span>
			{if $article.user_id > 0}
				<a href="{profile_url login=$article.user_login}" rel="author"> {$article.author} </a>
			{else}
				{if $article.content_link}
					<a href="{$article.content_link}" rel="nofollow" target="_blank"> {$article.content_author} </a>
				{else}
					{$article.content_author}
				{/if}
			{/if}
		{* dev: maxiSoft / end / 11.35.2015 10:35:11 / Вывод автора материала *}
	</span>
</div>

{if $is_pages}
	<div class="panel panel-default" id="pt">
		<div class="panel-heading con_pt_heading">
			<h4 class="panel-title">
				<a class="con_pt_hidelink" href="javascript:void;" onClick="$('#pt_list').toggle();"> {$LANG.CONTENT} </a>
				{if $cfg.pt_hide} [<a href="javascript:void(0);" onclick="$('#pt').hide();">{$LANG.HIDE}</a>] {/if}
			</h4>
		</div>
		<div id="pt_list" class="panel-body" style="{if $cfg.pt_disp}display: block;{else}display: none;{/if}">
			<ul id="con_pt_list" class="list-group">
				{foreach key=tid item=pages from=$pt_pages}
					{if ($tid+1 != $page)}
						<li class="list-group-item">
							<a href="{$pages.url}"> {$pages.title} </a>
						</li>
					{else}
						<li class="list-group-item"> {$pages.title} </li>
					{/if}
				{/foreach}
			</ul>
		</div>
	</div>
{/if}

<div class="con_text">
    {if $article.image}
        <figure class="item-mainimage">
            <img class="media-object" src="/upload/content/medium/{$article.image}" alt="{$article.title|escape:html}">
        </figure>
		<div style="padding-bottom: 10px;">
		{* dev: maxiSoft / begin / 11.36.2015 10:36:14 / Вывод автора фото *}
		{if $article.photo_title}
			<span class="photo-title">{$article.photo_title}</span>
		{/if}
		{if $article.photo_author || $article.photo_user_id}
			<span class="source-photo">
				{$LANG.PHOTO_AUTHOR}:
				{if !$article.photo_user_id}
					{if $article.photo_link}
						<a href="{$article.photo_link}" target="_blank" rel="nofollow"> {$article.photo_author} </a>
					{else}
						{$article.photo_author}
					{/if}
				{else}
					{profile_link user_id=$article.photo_user_id}
				{/if}
			</span>
		{/if}
		{* dev: maxiSoft / end / 11.36.2015 10:36:44 / Вывод автора фото *}
		</div>
    {/if}

	<div class="item-description" style="overflow:hidden">	
		{$article.content}
		<br>
		
		{* dev: maxiSoft / end / 11.37.2015 10:37:24 / Вывод источника материала *}
		<span class="source-article">
			{if $article.source_link}
				{$article.source_type}
				<a href="{$article.source_link}" target="_blank">
					{if $article.source_title}
						{$article.source_title}
					{else}
						{$article.source_link}
					{/if}
				</a>
			{else}
				{$article.source_type} {$article.source_title}
			{/if}
		</span>
		{* dev: maxiSoft / end / 11.37.2015 10:37:45 / Вывод источника материала *}
	</div>

	<!-- Модуль "Поделиться" от Яндекса, начало -->
	<script src="//yastatic.net/es5-shims/0.0.2/es5-shims.min.js"></script>
	<script src="//yastatic.net/share2/share.js"></script>
	<div class="ya-share2" data-services="collections,vkontakte,facebook,odnoklassniki,twitter,lj,viber,whatsapp,skype,telegram" data-counter=""></div>
	<!-- Модуль "Поделиться" от Яндекса, конец -->

	<div class="media-hinttext">
		{if $tagbar}
			<span class="glyphicon glyphicon-tag"></span> {$tagbar}
		{/if}
	</div>

	<div id="con_rating_block" class="well no-margin-bottom">
		<span class="monospc karmastyle">
			<span class="glyphicon glyphicon-eye-open"></span> {$article.hits|spellcount:$LANG.HIT:$LANG.HIT2:$LANG.HIT10}
		</span>
		
		{if $cfg.rating && $article.canrate}
			<strong>
				{$LANG.RATING}: <span id="karmapoints"> {$karma_points} </span>
				<span class="karmastyle" style="color:#999"> {$LANG.VOTES}: {$karma_votes}</span>
				{if $karma_buttons}
					{$LANG.RAT_ARTICLE}: <span class="karmastyle" id="karmactrl" > {$karma_buttons} </span>
				{/if}
			</strong>
		{/if}
	</div>
</div>
</article>
{if isset($article.plugins_output_after)}{$article.plugins_output_after}{/if}