<div class="actions_list">
	{foreach key=aid item=comment from=$comments}
		<div class="action_entry {cycle values="rowa1,rowa2"}">
			{if $cfg.showtarg}
				<span class="pull-right action_date">
					<span class="glyphicon glyphicon-star"></span> {$comment.rating|rating}
				</span>
			{/if}
			<div class="action_title act_add_comment">
				<span class="action_user">
					{if !$comment.is_profile}
						{$comment.author}
					{else}
						<a href="{profile_url login=$comment.author.login}"> {$comment.author.nickname} </a>
					{/if}
					, {$comment.pubdate|date_format:"%d/%m/%y"}:
				</span>
			</div>
			<div class="action_details">
				{if $cfg.showtarg}
					<a href="{$comment.target_link}"> {$comment.target_title} </a> &rarr;
				{/if}
				<a href="{$comment.target_link}#c{$comment.id}"> {$comment.content|strip_tags|truncate:90} </a>
			</div>
		</div>
	{/foreach}
</div>

<div class="button_place">
	{if $cfg.showrss} <a class="link_button" href="/rss/comments/all/feed.rss"> {$LANG.COMMENTS_RSS} </a> {/if}
	<a class="link_button" href="/comments"> {$LANG.COMMENTS_ALL} </a>
</div>