<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

function mod_clubs($mod, $cfg){

	$inDB = cmsDatabase::getInstance();

	if (!isset($cfg['count'])) { $cfg['count'] = 5; }
	if (!isset($cfg['type'])) { $cfg['type'] = 'id'; }
	if (!isset($cfg['vip_on_top'])) { $cfg['vip_on_top'] = 1; }

    cmsCore::loadModel('clubs');
    $model = new cms_model_clubs();

	if($cfg['vip_on_top']){
		$inDB->orderBy('is_vip', 'DESC, c.'.$cfg['type'].' DESC');
	} else {
		$inDB->orderBy('c.'.$cfg['type'], 'DESC');
	}
	$inDB->limit($cfg['count']);

    $clubs = $model->getClubs();
	if(!$clubs){ return false; }

	cmsPage::initTemplate('modules', $cfg['tpl'])->
            assign('clubs', $clubs)->
            display($cfg['tpl']);

	return true;

}