<?php
//
// (с) 2007-2016 InstantCMS Ver 1.10.7, from InstantCMS Team (www.instantcms.ru)
// (c) 2016-202X Public fork iCMS Ver 1.10.7.XXX from InstantCMS members (www.icms.su)
// Licensed by GNU/GPL Ver.2
//

class p_new_msg extends cmsPlugin {

    public function __construct(){

        $this->info['plugin']      = 'p_new_msg';
        $this->info['title']       = 'Анимация при новом сообщении';
        $this->info['description'] = 'Анимация при новом сообщении';
        $this->info['author']      = 'InstantCMS Team';
        $this->info['version']     = '1.0';

        $this->events[] = 'PRINT_PAGE_HEAD';

        parent::__construct();

    }

// ==================================================================== //

    public function execute($event='', $data=array()){

        switch ($event){
            case 'PRINT_PAGE_HEAD': return $this->animateNewMsg($data);
        }

        return $data;

    }

// ==================================================================== //

    private function animateNewMsg($page_head) {

        $inUser = cmsUser::getInstance();

        if(!$inUser->id || !$inUser->new_msg_count){ return $page_head; }

        ob_start(); ?>
        <script>
            $(function(){
                function an (){
                    $('.my_messages a').fadeOut().addClass('has_new').fadeIn();
                    setTimeout(an, 3000);
                }
                an();
            });
        </script>
        <?php

        $page_head[] = ob_get_clean();

        return $page_head;

    }

}
