{$article.plugins_output_before}
{if $is_admin || $is_editor || $is_author}
    <div class="float_bar">
        {if !$article.published && ($is_admin || $is_editor)}
        	<a class="btn btn-default" href="/content/publish{$article.id}.html" title="{$LANG.ARTICLE_ALLOW}"> <span class="glyphicon glyphicon-plus"></span> </a> 
        {/if}
        {if $is_admin || $is_editor || $is_author_del}
        	<a class="btn btn-default" href="/content/delete{$article.id}.html" title="{$LANG.DELETE}"> <span class="glyphicon glyphicon-trash"></span> </a> 
        {/if}
        {if $is_admin || $is_editor || $is_author}
        	<a href="/content/edit{$article.id}.html" class="btn btn-default" title="{$LANG.EDIT}"> <span class="glyphicon glyphicon-edit"></span> </a>
        {/if}
    </div>
{/if}
<article>
	{if $article.showtitle}
		<h1 class="con_heading"> {$article.title} </h1>
	{/if}
	{if $is_pages}
		<div class="panel panel-default" id="pt">
			<div class="panel-heading con_pt_heading">
				<h4 class="panel-title">
					<a class="con_pt_hidelink" href="javascript:void;" onClick="$('#pt_list').toggle();"> {$LANG.CONTENT} </a>
					{if $cfg.pt_hide} [<a href="javascript:void(0);" onclick="$('#pt').hide();">{$LANG.HIDE}</a>] {/if}
				</h4>
			</div>
			<div id="pt_list" class="panel-body" style="{if $cfg.pt_disp}display: block;{else}display: none;{/if}">
				<ul id="con_pt_list" class="list-group">
					{foreach key=tid item=pages from=$pt_pages}
						{if ($tid+1 != $page)}
							<li class="list-group-item">
								<a href="{$pages.url}"> {$pages.title} </a>
							</li>
						{else}
							<li class="list-group-item"> {$pages.title} </li>
						{/if}
					{/foreach}
				<ul>
			</div>
		</div>
	{/if}
	<div class="con_text">
		<div class="item-description" style="overflow:hidden">	
			{if $article.image}
				<figure class="item-mainthumbnail">
					<img src="/upload/content/small/{$article.image}" alt="{$article.title|escape:html}">
				</figure>
			{/if}
			{$article.content}
		</div>
		<div class="media-hinttext">
			{if $article.showdate}
				<span class="monospc">
					<span class="glyphicon glyphicon-time"></span>
					{if !$article.published}
						{$LANG.NO_PUBLISHED}
					{else}
						{$article.pubdate}
					{/if}
				</span>
				<span class="monospc">
					{* dev: maxiSoft / begin / 11.40.2015 10:40:1 / Вывод автора материала *}
					<span class="glyphicon glyphicon-user"></span>
					{if $article.user_id > 0}
						<a href="{profile_url login=$article.user_login}" target="_blank"> {$article.author} </a>
					{else}
						{if $article.content_link}
							<a href="{$article.content_link}" rel="nofollow" target="_blank"> {$article.content_author} </a>
						{else}
							{$article.content_author}
						{/if}
					{/if}
					{* dev: maxiSoft / end / 11.40.2015 10:40:29 / Вывод автора материала *}
				</span>
			{/if}
			<span class="monospc">
				<span class="glyphicon glyphicon-eye-open"></span> {$article.hits|spellcount:$LANG.HIT:$LANG.HIT2:$LANG.HIT10}
			</span>
			{if $tagbar}
				<span class="glyphicon glyphicon-tag"></span> {$tagbar}
			{/if}
		</div>
		{if $cfg.rating && $article.canrate}<br>
			<div id="con_rating_block" class="well no-margin-bottom">
					<strong> {$LANG.RATING}: </strong> <span id="karmapoints"> {$karma_points} </span>
					<span style="padding:0 10px;color:#999"> <strong>{$LANG.VOTES}:</strong> {$karma_votes} </span>
				{if $karma_buttons}
					<span id="karmactrl"> <strong>{$LANG.RAT_ARTICLE}: </strong> {$karma_buttons} </span>
				{/if}
			</div>
		{/if}
	</div>
</article>
{$article.plugins_output_after}