<div class="row">
    <div class="col-sm-12">
		<div class="panel panel-default">
			<div class="panel-heading"><h3 class="panel-title">{$LANG.SITE_LOGIN}</h3></div>
			<div class="panel-body">
			{if $is_sess_back}
				<p class="text-danger">{$LANG.PAGE_ACCESS_NOTICE}</p>
			{/if}
            <form method="post" action="registration/login">
	  <input type="hidden" name="csrf_token" value="{csrf_token}">		
<div class="input-group">
  <span class="input-group-addon" title="{$LANG.LOGIN} {$LANG.OR} {$LANG.EMAIL}"><span class="glyphicon glyphicon-user"></span></span>
  <input type="text" name="login" id="login_field" tabindex="1" class="form-control" placeholder="{$LANG.LOGIN} {$LANG.OR} {$LANG.EMAIL}">
</div>	
<br>		
<div class="input-group">
  <span class="input-group-addon" title="{$LANG.PASS}"><span class="glyphicon glyphicon-th"></span></span>
  <input type="password" name="pass" id="pass_field" tabindex="2" class="form-control" placeholder="{$LANG.PASS}">
</div>	
<div class="checkbox" style="margin-top:20px;">
<input type="submit" name="login_btn" class="btn btn-primary" style="margin-right:7px;" value="{$LANG.SITE_LOGIN_SUBMIT}" tabindex="4">
	<label for="remember">
        <input type="checkbox" name="remember" value="1" checked="checked" id="remember" tabindex="3"> {$LANG.REMEMBER_ME}
	</label>
</div>
                {if $anti_brute_force}
                    <div class="lf_title">{$LANG.SECUR_SPAM}</div>
                    <div class="lf_field">
                        {captcha}
                    </div>
                {/if}
            </form>
			</div>
			<div class="panel-footer">
<a href="/registration" class="">{$LANG.REGISTRATION}</a> | 
<a href="/passremind.html" class="">{$LANG.FORGOT_PASS}</a> 			
			</div>
		</div>
    </div>
</div>

<script>
    $(document).ready(function(){
        $('.login_form #login_field').focus();
    });
</script>