{add_js file='includes/jquery/tabs/jquery.ui.min.js'}
{add_css file='includes/jquery/tabs/tabs.css'}

<script>
    $(function(){ $(".uitabs").tabs(); });
</script>
<div id="usertitle">
	{if !isset($usr.is_user_blacklist)}
	<div id="user_ratings" class="pull-right">
		<span class="{$usr.group_alias} group-alias">
			{if $cfg.sw_search == 2}
				<span class="glyphicon glyphicon-user"></span> {$usr.grp}
			{else}
				<a href="/users/group/{$usr.group_id}"><span class="glyphicon glyphicon-user"></span> {$usr.grp}</a>
			{/if}
		</span>	
        <div class="karma" title="{$LANG.KARMA_NOTE}">
        	<div class="{if $usr.karma >= 0}value-positive{else}value-negative{/if}" id="u_karma_cont">
                <table cellpadding="2"><tr>
                    <td class="sign_link">
                    {if $usr.can_change_karma}
                        <a href="javascript:void(0)" onclick="users.changeKarma('{$usr.id}', 'plus');return false;" title="{$LANG.KARMA} +"><span class="karmapoint glyphicon glyphicon-arrow-up"></span></a>
                    {/if}
                    </td>
                    <td><span class="user_karmapoint" id="u_karma">{$usr.karma}</span></td>
                    <td class="sign_link">
                    {if $usr.can_change_karma}
                        <a href="javascript:void(0)" onclick="users.changeKarma('{$usr.id}', 'minus'); return false;" title="{$LANG.KARMA} -"><span class="karmapoint glyphicon glyphicon-arrow-down"></span></a>
                    {/if}
                    </td>
                </tr></table>
            </div>
        </div>
        <div class="rating" title="{$LANG.RATING_NOTE}">
            <div class="value">{$usr.user_rating}</div>
        </div>
    </div>
	{/if}
    <h1 class="con_heading" id="nickname">
        {if !isset($usr.is_user_blacklist.id)}
            {$usr.nickname}
        {else}
            {$usr.login}
        {/if}
        {if $usr.banned}<span style="color:red; font-size:12px;">{$LANG.USER_IN_BANLIST}</span>{/if}
    </h1>
</div>
<div id="profiletabs" class="uitabs">
	{if !isset($usr.is_user_blacklist.id)}
		<ul id="tabs">
			<li><a href="#upr_profile"><span>{$LANG.PROFILE}</span></a></li>
			{if $myprofile && $cfg.sw_feed}
				<li><a href="/actions/my_friends" title="upr_feed"><span>{$LANG.FEED}</span></a></li>
			{/if}
			{if $cfg.sw_clubs}
				<li><a href="/clubs/by_user_{$usr.id}" title="upr_clubs"><span>{$LANG.CLUBS}</span></a></li>
			{/if}
			{if $cfg.sw_awards}
				<li><a href="#upr_awards"><span>{$LANG.AWARDS}</span></a></li>
			{/if}
			{foreach key=id item=plugin from=$plugins}
				<li><a href="{if $plugin.ajax_link}{$plugin.ajax_link}{else}#upr_{$plugin.name}{/if}" title="{$plugin.name}"><span>{$plugin.title}</span></a></li>
			{/foreach}
		</ul>
	{/if}
	<div id="upr_profile">
		<div class="usr_status_bar {if $usr.status_text}well{/if}">
			<div class="usr_status_text" {if !$usr.status_text}style="display:none"{/if}>
				<span><span class="glyphicon glyphicon-volume-up"></span> {$usr.status_text|escape:'html'}</span>
				<span class="usr_status_date" >// {$usr.status_date} {$LANG.BACK}</span>
			</div>
			{if $myprofile || $is_admin}
				<div class="usr_status_link">
					<a href="javascript:" onclick="setStatus({$usr.id})">
						<span class="glyphicon glyphicon-refresh" title="{$LANG.CHANGE_STATUS}"></span> {$LANG.CHANGE_STATUS}
					</a>
				</div>
			{/if}
		</div>
		<div class="row">
			<div class="col-md-3 col-sm-4">
				<div class="media-gird" style="margin-bottom:15px;">
					{if !isset($usr.is_user_blacklist.id)}
						<img alt="{$usr.nickname|escape:'html'}" src="{$usr.avatar}" class="media-object">
					{else}
						<img alt="{$usr.nickname|escape:'html'}" src="/upload/users/avatars/nopic.png" class="media-object">
					{/if}
				</div>
				<div id="usermenu" class="list-group">
					{if !isset($usr.is_user_blacklist.id)}
						{if $cfg.sw_blogs}
							{if $usr.blog}
								<a class="list-group-item" href="/blogs/{$usr.blog.seolink}" title="{$usr.blog.title|escape:'html'}">
									<span class="glyphicon glyphicon-edit"></span> {$LANG.BLOG}
								</a>
							{else}
								{if $myprofile}
									<a class="list-group-item" href="/blogs/createblog.html">
										<span class="glyphicon glyphicon-edit"></span> {$LANG.CREATE_BLOG}
									</a>
								{/if}
							{/if}
							{if $cfg.sw_files}
								<a class="list-group-item" href="/users/{$usr.id}/files.html">
									<span class="glyphicon glyphicon-open"></span> {$LANG.FILES} <span class="badge">{$usr.files_count}</span>
								</a>
							{/if}
							{if $cfg.sw_board && $usr.board_count}
								<a class="list-group-item" href="/board/by_user_{$usr.login}">
									<span class="glyphicon glyphicon-list-alt"></span> {$LANG.ADVS} <span class="badge">{$usr.board_count}</span>
								</a>
							{/if}
							{if $cfg.sw_forum && $cfg_forum.component_enabled && $usr.forum_count}
								<a class="list-group-item" href="/forum/{$usr.login}_activity.html" title="{$LANG.MY_ACTIVITY_ON_FORUM}"><span class="glyphicon glyphicon-comment"></span> {$LANG.FORUM} <span class="badge" title="{$LANG.MESS_IN_FORUM}">{$usr.forum_count}</span></a>
							{/if}
							{if $cfg.sw_comm && $usr.comments_count}
								<a class="list-group-item" href="/comments/by_user_{$usr.login}" title="{$LANG.READ}"><span class="glyphicon glyphicon-share-alt"></span> {$LANG.COMMENTS} <span class="badge">{$usr.comments_count}</span></a>
							{/if}
						{/if}
						{if $is_auth}
							{if !$myprofile}
								<a class="list-group-item" href="javascript:void(0)" title="{$LANG.WRITE_MESS}: {$usr.nickname|escape:'html'}" onclick="users.sendMess('{$usr.id}', 0, this);return false;"><span class="glyphicon glyphicon-envelope"></span> {$LANG.WRITE_MESS}</a>
							{/if}
							{if !isset($usr.is_user_blacklist.id)}
								{if !$myprofile}
									{if !$usr.isfriend}
										<a class="list-group-item" href="javascript:void(0)" title="{$usr.nickname|escape:'html'}" onclick="users.addFriend('{$usr.id}', this);return false;"><span class="glyphicon glyphicon-heart"></span> {$LANG.ADD_TO_FRIEND}</a>
									{else}
										<a class="list-group-item add_friend_ajax" style="display: none;" href="javascript:void(0)" title="{$usr.nickname|escape:'html'}" onclick="users.addFriend('{$usr.id}', this);return false;"><span class="glyphicon glyphicon-heart"></span> {$LANG.ADD_TO_FRIEND}</a>
										<a id="del_friend" class="list-group-item del_friend_ajax" href="javascript:void(0)" title="{$usr.nickname|escape:'html'}" onclick="users.delFriend('{$usr.id}', this);return false;"><span class="glyphicon glyphicon-heart-empty"></span> {$LANG.STOP_FRIENDLY}</a>
									{/if}
								{/if}
							{/if}
							{if $myprofile}
								{if $cfg.sw_msg}
									<a class="list-group-item" href="/users/{$usr.id}/messages.html" title="{$LANG.MY_MESS}"><span class="glyphicon glyphicon-envelope"></span> {$LANG.MY_MESS}</a>
								{/if}
								{if $cfg.sw_photo}
									<a class="list-group-item" href="/users/addphoto.html" title="{$LANG.ADD_PHOTO}"><span class="glyphicon glyphicon-picture"></span> {$LANG.ADD_PHOTO}</a>
								{/if}
								<a class="list-group-item" href="/users/{$usr.id}/avatar.html" title="{$LANG.SET_AVATAR}"><span class="glyphicon glyphicon-camera"></span> {$LANG.SET_AVATAR}</a>
								{if $usr.invites_count}
									<a class="list-group-item" href="/users/invites.html" title="{$LANG.MY_INVITES}"><span class="glyphicon glyphicon-bell"></span> {$LANG.MY_INVITES}</a>  <span class="badge">{$usr.invites_count}</span>
								{/if}
								<a class="list-group-item" href="/users/{$usr.id}/editprofile.html" title="{$LANG.CONFIG_PROFILE}"><span class="glyphicon glyphicon-cog"></span> {$LANG.MY_CONFIG}</a>
							{/if}
							{if $is_admin && !$myprofile}
								<a class="list-group-item" href="/users/{$usr.id}/editprofile.html" title="{$LANG.CONFIG_PROFILE}"><span class="glyphicon glyphicon-cog"></span> {$LANG.CONFIG_PROFILE}</a>
							{/if}
							{if !isset($usr.is_user_blacklist.id)}
								<a class="list-group-item" href="/users/{$usr.id}/karma.html" title="{$LANG.KARMA_HISTORY}"><span class="glyphicon glyphicon-stats"></span> {$LANG.KARMA_HISTORY}</a>
							{/if}
							{if $is_auth}
								{if $myprofile || $is_admin}
									<a class="list-group-item" href="/users/{$usr.id}/blacklist.html">
										<span class="glyphicon glyphicon-stats"></span> {$LANG.BLACK_LIST}
									</a>
								{/if}
								{if !$myprofile || !$myprofile && $is_admin}
									<a class="list-group-item add_blacklist" {if $usr.is_blacklist} style="display:none;" {/if} href="javascript:void(0)" title="{$usr.nickname|escape:'html'}" onclick="users.blackList('{$is_auth}','{$usr.id}', this);return false;"><span class="glyphicon glyphicon-remove-circle"></span> {$LANG.BLACK_LIST_ADD}</a>
									<a class="list-group-item del_blacklist" {if !$usr.is_blacklist} style="display:none;" {/if} href="javascript:void(0)" title="{$usr.nickname|escape:'html'}" onclick="users.blackList('{$is_auth}','{$usr.id}', this);return false;"><span class="glyphicon glyphicon-remove-circle"></span> {$LANG.BLACK_LIST_DEL}</a>
								{/if}
							{/if}
							{if !$myprofile}
								{if $is_admin}
									{if !$usr.banned}
										<a class="list-group-item" href="/users/{$usr.id}/giveaward.html" title="{$LANG.TO_AWARD}">
											<span class="glyphicon glyphicon-gift"></span> {$LANG.TO_AWARD}
										</a>
										{if $usr.id != 1}
											<a class="list-group-item" href="/admin/index.php?view=userbanlist&do=add&to={$usr.id}" title="{$LANG.TO_BANN}"><span class="glyphicon glyphicon-ban-circle"></span> {$LANG.TO_BANN}</a>
										{/if}
									{/if}
									{if $usr.id != 1}
										<a class="list-group-item" href="/users/{$usr.id}/delprofile.html" title="{$LANG.DEL_PROFILE}">
											<span class="glyphicon glyphicon-remove-circle"></span> {$LANG.DEL_PROFILE}
										</a>
									{/if}
								{/if}
							{/if}
						{/if}
					{/if}
				</div>
				<div id="user_profile_url" style="margin-bottom:20px;">
					<div>{$LANG.LINK_TO_THIS_PAGE}:</div>
					<input href="{$usr.profile_link}" value="{$usr.profile_link}" class="text-input">
				</div>
			</div>
			
			<div class="col-md-9 col-sm-8">
				{if !isset($usr.is_user_blacklist.id)} 
					<div class="item-description">
						<ul class="list-group">
							<li class="list-group-item"><strong>{$LANG.LAST_VISIT}:</strong> {$usr.flogdate}</li>
							<li class="list-group-item"><strong>{$LANG.DATE_REGISTRATION}:</strong> {$usr.fregdate}</li>

							{if $usr.inv_login}
								<li class="list-group-item"><strong>{$LANG.INVITED_BY}:</strong> <a href="{profile_url login=$usr.inv_login}">{$usr.inv_nickname}</a></li>
							{/if}

							{if $usr.city}
								<li class="list-group-item">
									<strong>{$LANG.CITY}:</strong> <a href="/users/city/{$usr.cityurl|escape:'html'}">{$usr.city}</a>
									{if $usr.country}, {$usr.country} {/if}
								</li>
							{/if}

							{if $usr.showbirth && $usr.fbirthdate}
								<li class="list-group-item"><strong>{$LANG.BIRTH}:</strong> {$usr.fbirthdate}</li>
							{/if}
							
							{if isset($usr.fgender)}
								<li class="list-group-item"><strong>{$LANG.SEX}:</strong> {$usr.fgender}</li>
							{/if}

							{if $usr.showicq && $usr.icq}
								<li class="list-group-item"><strong>ICQ:</strong> {$usr.icq}</li>
							{/if}

							{if $usr.showskype && $usr.skype}
								<li class="list-group-item"><strong>Skype:</strong> {$usr.skype}</li>
							{/if}

							{if $usr.showphone && $usr.phone}
								<li class="list-group-item"><strong>{$LANG.PHONE}:</strong> {$usr.phone}</li>
							{/if}

							{if $usr.showmail}
								{add_js file='includes/jquery/jquery.nospam.js'}
								<li class="list-group-item"><strong>E-mail:</strong>
									<a href="#" rel="{$usr.email|NoSpam}" class="email">{$usr.email}</a>
								</li>
								<script>$('.email').nospam({ replaceText: true });</script>
							{/if}
							
							<li class="list-group-item">
								<strong>{$LANG.HOBBY} ({$LANG.TAGSS}):</strong>
								{if $usr.fdescription}
									{$usr.fdescription}
								{else}
									<span style="color:#999"><em>{$LANG.TAGS_NOT_SPEC}</em></span>
								{/if}
							</li>
							
							{if $cfg.sw_privforms && $cfg.privforms && $usr.form_fields}
								{foreach key=tid item=field from=$usr.form_fields}
									<li class="list-group-item"><strong>{$field.title}:</strong>
										{if $field.kind == 'link' && $field.config.text_is_link}
											<a href="{$field.config.text_link_prefix}" >{$field.description}</a>
										
										{else}
											{if isset($field.description)}{$field.description}{else}<em>{$LANG.NOT_SET}</em>{/if}
										{/if}
									</li>
								{/foreach}
							{/if}
						</ul>
					</div>

					{if $usr.albums}
						<div class="panel panel-default"> 
							<div class="panel-heading">
								<h4 class="panel-title">{if !$myprofile}{$LANG.USER_PHOTOS}{else}{$LANG.MY_PHOTOS}{/if}</h4>
							</div>
							<div class="panel-body">
								{$col="1"}
									{foreach key=key item=album from=$usr.albums name=usrpral}
										{if $col==1}<div class="row margin-bottom-row">{/if}
										<div class="col-md-4">
											<div class="media">
												<a class="pull-left" href="/users/{$usr.login}/photos/{$album.type}{$album.id}.html" title="{$album.title|escape:'html'}">
													<img src="{$album.imageurl}" class="media-object" alt="{$album.title|escape:'html'}">
												</a>
												<div class="media-body">
													<h4 class="media-heading">
														<a href="/users/{$usr.login}/photos/{$album.type}{$album.id}.html">{$album.title|truncate:32}</a>
													</h4>
													<div class="media-hinttext">
														<span class="glyphicon glyphicon-picture"></span> {$album.photos_count}&nbsp;&nbsp
														<span class="glyphicon glyphicon-time"></span> {$album.pubdate}
													</div>
												</div>
											</div>
										</div>
										{if $col==3 || $smarty.foreach.usrpral.last}
											</div>
											{$col="1"}
										{else}
											{$col=$col+1}
										{/if}
									{/foreach}
							</div>
							<div class="panel-footer">
								{if $usr.albums_total > $usr.albums_show}
									<a href="/users/{$usr.id}/photoalbum.html" title="{$LANG.ALL_ALBUMS}">
										{$LANG.ALL_ALBUMS} ({$usr.albums_total})
									</a>
								{/if}
							</div>
						</div>
					{/if}
					
					{if $usr.friends}
						<div class="panel panel-default">
							<div class="panel-heading">
								<h4 class="panel-title">{if !$myprofile}{$LANG.USER_FRIENDS}{else}{$LANG.MY_FRIENDS}{/if}</h4>
							</div>
							<div class="panel-body">
								{$col="1"}
									{foreach key=tid item=friend from=$usr.friends name=usrprfr}
										{if $col==1}<div class="row margin-bottom-row">{/if}
										<div class="col-md-4">
											<div class="media">
												<a class="pull-left" href="{profile_url login=$friend.login}">
													<img src="{$friend.avatar}" class="media-object" alt="{$album.title|escape:'html'}">
												</a>
												<div class="media-body">
													<h4 class="media-heading">
														<a href="{profile_url login=$friend.login}">{$friend.nickname}</a>
													</h4>
													<div class="media-hinttext">{$friend.flogdate}</div>
												</div>
											</div>
										</div>
										{if $col==3 || $smarty.foreach.usrprfr.last}
											</div>
											{$col="1"}
										{else}
											{$col=$col+1}
										{/if}
									{/foreach}
							</div>
							<div class="panel-footer">
								<a href="/users/{$usr.id}/friendlist.html" title="{$LANG.ALL_FRIENDS}">
									{$LANG.ALL_FRIENDS} ({$usr.friends_total})
								</a>
							</div>
						</div>
					{/if}
					
					{if $cfg.sw_wall}
						<div class="panel panel-default">
							<div class="panel-heading">
								<h4 class="panel-title">{$LANG.USER_WALL}</h4>
							</div>
							<div class="panel-body">
								<div class="wall_body">{$usr.wall_html}</div>
							</div>
							<div class="panel-footer">
								<a href="javascript:void(0)" id="addlink" class="ajaxlink" onclick="addWall('users', '{$usr.id}');return false;">{$LANG.WRITE_ON_WALL}</a>
							</div>
						</div>
					{/if}
				{/if}
				{if isset($usr.is_user_blacklist.id)}
					{$LANG.BLACK_LIST_USER}
				{/if}
			</div>
		</div>
	</div>
	
	{if $myprofile && $cfg.sw_feed}
		<div id="upr_feed"></div>
	{/if}
	
	{if $cfg.sw_clubs}
		<div id="upr_clubs"></div>
	{/if}
	
	{if $cfg.sw_awards}
		<div id="upr_awards">
			<a href="/users/awardslist.html" class="pull-right">
				<span class="glyphicon glyphicon-question-sign"></span> {$LANG.HOW_GET_AWARD}
			</a>
			{if $usr.awards}
				{foreach key=tid item=aw from=$usr.awards}
					<div class="media">
						<a class="pull-left">
							<img src="/images/awards/{$aw.imageurl}" width="36" alt="{$aw.title|escape:'html'}">
						</a>
						<div class="media-body">
							<strong class="media-heading">{$aw.title}{if $is_admin} <a href="/users/delaward{$aw.id}.html" title="{$LANG.DELETE}"><span class="glyphicon glyphicon-trash"></span></a>{/if}</strong>
							<div class="media-description">{$aw.description}</div>
							<div class="media-hinttext">&mdash; {$aw.pubdate}</div>
						</div>
					</div>
				{/foreach}
			{/if}
		</div>
	{/if}
	
	{foreach key=id item=plugin from=$plugins}
		<div id="upr_{$plugin.name}">{$plugin.html}</div>
	{/foreach}
</div>