{if $articles}
	{foreach key=tid item=article from=$articles}
		<div class="media">
			{if $article.image}
				<a class="pull-left" title="{$article.title|escape:'html'}" href="{$article.url}">
					<img src="/upload/content/small/{$article.image}" class="image_module" alt="{$article.title|escape:'html'}"/>
				</a>
			{/if}
			<div class="media-body">
				<h4 class="media-heading"><a href="{$article.url}">{$article.title}</a></h4>
				{if $cfg.showdesc}
					<div class="media-description">{$article.description|strip_tags|truncate:300}</div>
				{/if}
				{if $cfg.showdate}
					<div class="media-hinttext">
						<span class="monospc">
							<span class="glyphicon glyphicon-time"></span> {$article.fpubdate}
						</span>
						<span class="monospc">
						{* dev: maxiSoft / begin / 11.40.2015 10:40:1 / Вывод автора материала *}
							<span class="glyphicon glyphicon-user"></span>
							{if $article.user_id > 0}
								<a href="{profile_url login=$article.user_login}" target="_blank">{$article.author}</a>
							{else}
								{if $article.content_link}
									<a href="{$article.content_link}" rel="nofollow" target="_blank">{$article.content_author}</a>
								{else}
									{$article.content_author}
								{/if}
							{/if}
						{* dev: maxiSoft / end / 11.40.2015 10:40:29 / Вывод автора материала *}
						</span>
						<span class="monospc">
							<span class="glyphicon glyphicon-star"></span> {$article.rating|rating}
						</span>
					</div>
				{/if}
			</div>
		</div>
	{/foreach}
	<div class="button_place">
		{if $cfg.showlink neq 0} <a class="link_button" href="/content/top.html"> {$LANG.BESTCONTENT_FULL_RATING} </a> {/if}
	</div>
{else}
	<p class="text-info">{$LANG.BESTCONTENT_NOT_ARTICLES}</p>
{/if}
